> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns taxes based on single home and multiple work locations passed in



## OpenAPI

````yaml /prp/api-reference/payroll-point.yaml post /v1/taxes
openapi: 3.0.1
info:
  title: Payroll Point API
  description: Symmetry Payroll Point API documentation
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
    email: support@symmetry.com
  license:
    name: Symmetry Software/Terms of Use
    url: https://www.symmetry.com/terms
  version: 1.3.65
servers:
  - url: https://api.symmetry.com/prp
security: []
tags:
  - name: Location Taxes
    description: Calculate payroll taxes by home and work location
  - name: Account Info
    description: Retrieve account-product details and usage data
  - name: Minimum wage
    description: Endpoints returning the minimum wage
  - name: Documentation
    description: Documentation helper endpoints
  - name: Postman
    description: Resources for Postman
paths:
  /v1/taxes:
    post:
      tags:
        - Location Taxes
      summary: Returns taxes based on single home and multiple work locations passed in
      operationId: payrollPointApiSingleTax
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiTaxRequestType'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayrollPointTaxesResponseType'
      security:
        - AuthenticationToken: []
components:
  schemas:
    ApiTaxRequestType:
      type: object
      properties:
        taxRequestId:
          type: string
        payDate:
          type: string
          format: date
        useAddressSuggestion:
          type: boolean
        home:
          $ref: '#/components/schemas/ApiTaxRequestHomeType'
        work:
          type: array
          items:
            $ref: '#/components/schemas/ApiTaxRequestWorkType'
      example:
        taxRequestId: 1
        payDate: '2021-08-04T00:00:00.000Z'
        useAddressSuggestion: false
        home:
          companyHasNexus: true
          location:
            address:
              streetAddress1: 123 Main St
              streetAddress2: ''
              city: Edison
              state: NJ
              zipCode: 8837
            geoCoordinates:
              longitude: 0
              latitude: 0
        work:
          - locationName: Main Office
            nonResidentCertificateOnFile: true
            location:
              address:
                streetAddress1: 14350 N 87th St.
                streetAddress2: ''
                city: Scottsdale
                state: AZ
                zipCode: '85260'
              geoCoordinates:
                longitude: 0
                latitude: 0
    PayrollPointTaxesResponseType:
      type: object
      properties:
        result:
          $ref: '#/components/schemas/PayrollPointSingleResponseType'
        transactionDetails:
          $ref: '#/components/schemas/TransactionDetailsType'
    ApiTaxRequestHomeType:
      type: object
      properties:
        companyHasNexus:
          type: boolean
        location:
          $ref: '#/components/schemas/GeoCoordinatesAddressType'
    ApiTaxRequestWorkType:
      type: object
      properties:
        locationName:
          type: string
        nonResidentCertificateOnFile:
          type: boolean
        location:
          $ref: '#/components/schemas/GeoCoordinatesAddressType'
    PayrollPointSingleResponseType:
      type: object
      properties:
        homeResults:
          $ref: '#/components/schemas/GeoAddressInfoResponseType'
        workResults:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/GeoAddressInfoResponseType'
        payDate:
          type: string
          format: date
        taxResults:
          type: array
          items:
            $ref: '#/components/schemas/TaxItemDetailsType'
        processingError:
          $ref: '#/components/schemas/ErrorType'
        customCodes:
          type: array
          items:
            type: object
            additionalProperties:
              type: object
        minimumWage:
          type: array
          items:
            type: object
            additionalProperties:
              type: object
    TransactionDetailsType:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        serviceVersion:
          type: string
        processedTransactions:
          type: integer
        processingTime:
          type: object
          properties:
            seconds:
              type: integer
              format: int64
            zero:
              type: boolean
            nano:
              type: integer
              format: int32
            negative:
              type: boolean
            positive:
              type: boolean
            units:
              type: array
              items:
                type: object
                properties:
                  durationEstimated:
                    type: boolean
                  timeBased:
                    type: boolean
                  dateBased:
                    type: boolean
    GeoCoordinatesAddressType:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/Address'
        geoCoordinates:
          $ref: '#/components/schemas/GeoCoordinatesType'
    GeoAddressInfoResponseType:
      type: object
      properties:
        locationName:
          type: string
        inputGeoCoordinates:
          $ref: '#/components/schemas/GeoCoordinatesType'
        locationDetails:
          $ref: '#/components/schemas/STELocationType'
        locationTaxes:
          type: array
          items:
            type: string
        transactionError:
          $ref: '#/components/schemas/ErrorType'
        addressResults:
          $ref: '#/components/schemas/AddressExtendedInfo'
    TaxItemDetailsType:
      type: object
      properties:
        uniqueTaxID:
          type: string
        description:
          type: string
        rate:
          type: number
          format: double
        rateType:
          type: string
          enum:
            - RATE_FLAT_DOLLAR_AMT
            - RATE_PERCENT
            - RATE_PERCENT_ASSIGNED
            - RATE_GRADUATED
            - NOT_AVAILABLE
        wageBase:
          type: number
          format: double
        taxLimit:
          type: number
          format: double
        taxLimitPeriod:
          type: string
        taxStartDate:
          type: string
          format: date
        taxEndDate:
          type: string
          format: date
        credit:
          type: number
          format: double
        creditLimit:
          type: number
          format: double
        paid:
          type: boolean
        stateWide:
          type: boolean
        stateCode:
          type: string
        stateName:
          type: string
        altTaxID:
          type: string
        locations:
          type: array
          writeOnly: true
          items:
            $ref: '#/components/schemas/STELocationType'
        resident:
          type: boolean
        employerTax:
          type: boolean
    ErrorType:
      type: object
      properties:
        errorCode:
          type: string
        errorMessage:
          type: string
    Address:
      type: object
      properties:
        streetAddress1:
          type: string
          example: 14350 N 87th St
        streetAddress2:
          type: string
          example: Ste 310
        city:
          type: string
          example: Scottsdale
        state:
          type: string
          example: AZ
        zipCode:
          type: string
          example: 85260-2663
    GeoCoordinatesType:
      type: object
      properties:
        longitude:
          type: number
          description: The input longitude of the location.
          format: double
          example: 33.6158
        latitude:
          type: number
          description: The input latitude of the location.
          format: double
          example: -111.8946
    STELocationType:
      type: object
      properties:
        taxJurisdictions:
          $ref: '#/components/schemas/FeatureCollection'
        locationCode:
          type: string
        psdCode:
          type: string
    AddressExtendedInfo:
      type: object
      properties:
        inputAddress:
          $ref: '#/components/schemas/Address'
        normalizedAddress:
          $ref: '#/components/schemas/Address'
        isVerified:
          type: boolean
        addressSuggestions:
          type: array
          items:
            $ref: '#/components/schemas/Address'
        addressResultMessages:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/StatusMessage'
        addressErrorMessages:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/StatusMessage'
        isGeocoded:
          type: boolean
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
        addressTypeCode:
          type: string
        addressTypeDescription:
          type: string
        deliveryPointCode:
          type: string
        addressKey:
          type: string
        addressKeyBase:
          type: string
    FeatureCollection:
      type: object
      properties:
        type:
          type: string
        features:
          type: array
          items:
            $ref: '#/components/schemas/Feature'
    StatusMessage:
      type: object
      properties:
        shortDescription:
          type: string
          example: Short error message.
        longDescription:
          type: string
          example: Long Description of error that occurred in application.
    Feature:
      type: object
      properties:
        type:
          type: string
        geometry:
          $ref: '#/components/schemas/Geometry'
        properties:
          $ref: '#/components/schemas/BoundaryDetailsType'
    Geometry:
      type: object
      properties:
        type:
          type: string
        crs:
          $ref: '#/components/schemas/CrsType'
        coordinates:
          type: array
          items:
            type: array
            items:
              type: array
              items:
                type: array
                items:
                  type: number
                  format: float
    BoundaryDetailsType:
      type: object
      properties:
        name:
          type: string
        steCode:
          type: string
        fipsCode:
          type: string
        stateCode:
          type: string
        steCodeType:
          type: string
    CrsType:
      type: object
      properties:
        type:
          type: string
        properties:
          $ref: '#/components/schemas/CrsProperties'
    CrsProperties:
      type: object
      properties:
        name:
          type: string
  securitySchemes:
    AuthenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````